## tcplay 0.10

=== Makefile ===
# either linux or dragonfly
SYSTEM?=linux

# either openssl or gcrypt
PBKDF_BACKEND?=openssl

# system compiler, normally gcc
CC?=gcc

RM?=rm -f

# whether to enable debugging or not
DEBUG?=no

WARNFLAGS= -Wsystem-headers -Werror -Wall -W -Wno-unused-parameter \
	-Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith \
	-Wold-style-definition -Wreturn-type -Wcast-qual -Wwrite-strings \
	-Wswitch -Wshadow -Wcast-align -Wunused-parameter -Wchar-subscripts \
	-Winline -Wnested-externs

SRCS=	tcplay.c crc32.c safe_mem.c io.c hdr.c humanize.c
SRCS+=	crypto.c generic_xts.c
OBJS=	tcplay.o crc32.o safe_mem.o io.o hdr.o humanize.o
OBJS+=	crypto.o generic_xts.o

CFLAGS+= $(WARNFLAGS)

ifeq (${DEBUG}, yes)
  CFLAGS+= -O0 -g -DDEBUG
else
  CFLAGS+= -O3
endif

ifeq (${SYSTEM}, linux)
  CFLAGS+=	-D_GNU_SOURCE
  LIBS+=	-lgcrypt -ldevmapper -luuid
  SRCS+=	crypto-gcrypt.c
  OBJS+=	crypto-gcrypt.o
  ifeq (${PBKDF_BACKEND}, gcrypt)
    SRCS+=	pbkdf2-gcrypt.c
    OBJS+=	pbkdf2-gcrypt.o
  endif
  ifeq (${PBKDF_BACKEND}, openssl)
    SRCS+=	pbkdf2-openssl.c
    OBJS+=	pbkdf2-openssl.o
    LIBS+=	-lcrypto
  endif
endif

ifeq (${SYSTEM}, dragonfly)
  LIBS+=	-lcrypto -ldm -lprop
  SRCS+=	crypto-dev.c
  OBJS+=	crypto-dev.o
  SRCS+=	pbkdf2-openssl.c
  OBJS+=	pbkdf2-openssl.o
endif

program:
	$(CC) $(CFLAGS) -o tcplay main.c $(SRCS) $(LIBS)
lib:
	$(CC) $(CFLAGS) -c -fPIC tcplay_api.c $(SRCS)
	$(CC) -shared -Wl,-version-script=tcplay.map -o libtcplay.so tcplay_api.o $(OBJS)

test:
	$(CC) -O0 -g -L. -I. tcplay_api_test.c -ltcplay -lcrypto -ldm -lprop
clean:
	$(RM) tcplay libtcplay.so tcplay.core *.o ktrace.out

=== debian/changelog ===
tcplay (0.10-7.drbl1) unstable; urgency=low

  * Initial packaging for tcplay 0.10-7.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Oct 2012 18:31:59 +0800

=== debian/control ===
Source: tcplay
Maintainer: Steven Shiau <steven@nchc.org.tw>
Section: misc
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), libdevmapper-dev, libgcrypt11-dev, uuid-dev, libssl-dev (>=1.0.1c-4)
Homepage: https://github.com/bwalex/tc-play

Package: tcplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: create and open/map TrueCrypt-compatible volumes
 Tcplay is a free (BSD-licensed), pretty much fully featured
 (including multiple keyfiles, cipher cascades, etc) and stable 
 TrueCrypt implementation.
 This implementation supports mapping (opening) both system and
 normal TrueCrypt volumes, as well as opening hidden volumes and
 opening an outer volume while protecting a hidden volume. There is
 also support to create volumes, including hidden volumes, etc.

## tcplay 0.11

=== debian/changelog ===
tcplay (0.11-1) unstable; urgency=low

  * New upstream release, fixing 64 bit archs compilation.
  * Build with hardening enabled, add use_ldflags.patch to achieve this.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 17 Nov 2012 02:53:22 +0100

tcplay (0.10-1) unstable; urgency=low

  * Initial release (closes: #691609).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 29 Oct 2012 18:47:56 +0100

=== debian/control ===
Source: tcplay
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdevmapper-dev, uuid-dev, libgcrypt11-dev
Standards-Version: 3.9.3
Homepage: https://github.com/bwalex/tc-play

Package: tcplay
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free and simple TrueCrypt Implementation based on dm-crypt
 tcplay is a free (BSD-licensed), pretty much fully featured (including
 multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
 .
 This implementation supports mapping (opening) both system and normal
 TrueCrypt volumes, as well as opening hidden volumes and opening an outer
 volume while protecting a hidden volume. There is also support to create
 volumes, including hidden volumes, etc.
 .
 Since tcplay uses dm-crypt it makes full use of any available hardware
 encryption/decryption support once the volume has been mapped.

=== debian/rules ===
#! /usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/hardening-includes/hardening.make
include /usr/share/dpkg/buildflags.mk

CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS		+= $(HARDENING_CFLAGS)
CFLAGS		+= $(CPPFLAGS)
CPPFLAGS	+= $(HARDENING_CFLAGS)
LDFLAGS		+= $(HARDENING_LDFLAGS)

DESTDIR = $(CURDIR)/debian/tcplay

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG = DEBUG=yes
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# configure doesn't exists and it doesn't needed
override_dh_autoreconf:

override_dh_auto_build:
	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)
#	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG) lib

# test needs the library, which can't be built ATM
override_dh_auto_test:

# for the rest, use debhelper
%:
	dh $@

## tcplay 1.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (tcplay)
set (VERSION_MAJOR 1)
set (VERSION_MINOR 1)

find_package (PkgConfig)
include (CheckLibraryExists)

set (SRCS_COMMON tcplay.c crc32.c safe_mem.c io.c hdr.c humanize.c crypto.c generic_xts.c)
set (SRCS_LINUX  crypto-gcrypt.c)

set (CFLAGS_LINUX  "-D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE")
set (CFLAGS_WARN "-Wsystem-headers -Wall -W -Wno-unused-parameter -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wold-style-definition -Wreturn-type -Wcast-qual -Wwrite-strings -Wswitch -Wshadow -Wcast-align -Wunused-parameter -Wchar-subscripts	-Winline -Wnested-externs")
set (CFLAGS_DEBUG  "-O0 -g3 -DDEBUG")
set (CFLAGS_OPT    "-O3")
set (CFLAGS_VER    "-DMAJ_VER=${VERSION_MAJOR} -DMIN_VER=${VERSION_MINOR}")
set (CFLAGS_COMMON "-std=c99 -fPIE ${CFLAGS_LINUX} ${CFLAGS_WARN} ${CFLAGS_VER}")
if ($ENV{DEBUG})
	set (CFLAGS_COMMON "${CFLAGS_COMMON} ${CFLAGS_DEBUG}")
else()
	set (CFLAGS_COMMON "${CFLAGS_COMMON} ${CFLAGS_OPT}")
endif()

pkg_check_modules(DEVMAPPER devmapper)
pkg_check_modules(UUID uuid)
find_library(GCRYPT_LIB gcrypt)

if (NOT DEVMAPPER_FOUND)
	message(FATAL_ERROR "Could not find the devmapper library")
endif()

if (NOT UUID_FOUND)
	message(FATAL_ERROR "Could not find the uuid library")
endif()

if (NOT GCRYPT_LIB)
	message(FATAL_ERROR "Could not find the gcrypt library")
else()
	set (GCRYPT_LDFLAGS "-lgcrypt -lgpg-error")
	set (GCRYPT_CFLAGS  "")
endif()

set (CMAKE_REQUIRED_LIBRARIES gpg-error)
# gcrypt>=1.5.0 required
check_library_exists(gcrypt gcry_kdf_derive "" HAVE_GCRYPT_PBKDF)
set (CMAKE_REQUIRED_LIBRARIES "")

if (HAVE_GCRYPT_PBKDF)
	set (SRCS_PBKDF pbkdf2-gcrypt.c)
	set (LDFLAGS_PBKDF "")
	set (CFLAGS_PBKDF  "")
	set (PBKDF_BACKEND gcrypt)
else()
	pkg_check_modules(OPENSSL openssl>=1.0.0a)
	if (NOT OPENSSL_FOUND)
		message(FATAL_ERROR "Could not find a gcrypt with gcry_kdf_derive() nor OpenSSL >= 1.0.0a")
	endif()
	set (SRCS_PBKDF pbkdf2-openssl.c)
	set (LDFLAGS_PBKDF ${OPENSSL_LDFLAGS})
	set (CFLAGS_PBKDF  ${OPENSSL_CFLAGS})
	set (PBKDF_BACKEND openssl)
endif()


if (NOT LIB_SUFFIX)
	message(STATUS "")
	message(STATUS "LIB_SUFFIX variable is not defined. It will be autodetected now.")
	message(STATUS "You can set it manually with -DLIB_SUFFIX=<value> (e.g. 64).")
	if (CMAKE_SIZEOF_VOID_P EQUAL 8)
		message(STATUS "\nSetting LIB_SUFFIX=64\n")
		set (LIB_SUFFIX "64")
	else()
		message(STATUS "\nSetting LIB_SUFFIX=\n")
		set (LIB_SUFFIX "")
	endif()
endif()



add_executable(tcplay-bin main.c ${SRCS_COMMON} ${SRCS_LINUX} ${SRCS_PBKDF})
set_target_properties(tcplay-bin PROPERTIES OUTPUT_NAME tcplay)
set_target_properties(tcplay-bin PROPERTIES COMPILE_FLAGS "${CFLAGS_COMMON} ${DEVMAPPER_CFLAGS} ${UUID_CFLAGS} ${GCRYPT_CFLAGS}")
target_link_libraries(tcplay-bin ${DEVMAPPER_LDFLAGS} ${UUID_LDFLAGS} ${GCRYPT_LDFLAGS} ${LDFLAGS_PBKDF})


add_library(tcplay-so SHARED tcplay_api.c ${SRCS_COMMON} ${SRCS_LINUX} ${SRCS_PBKDF})
set_target_properties(tcplay-so PROPERTIES OUTPUT_NAME tcplay)
set_target_properties(tcplay-so PROPERTIES SOVERSION ${VERSION_MAJOR}.${VERSION_MINOR})
set_target_properties(tcplay-so PROPERTIES COMPILE_FLAGS "${CFLAGS_COMMON} ${DEVMAPPER_CFLAGS} ${UUID_CFLAGS} ${GCRYPT_CFLAGS}")
set_target_properties(tcplay-so PROPERTIES LINK_FLAGS "-Wl,--version-script=${PROJECT_SOURCE_DIR}/tcplay.map")
# XXX: revist linking libraries against so. Seems to be more common practice nowadays
target_link_libraries(tcplay-so ${DEVMAPPER_LDFLAGS} ${UUID_LDFLAGS} ${GCRYPT_LDFLAGS} ${LDFLAGS_PBKDF})


add_library(tcplay-static STATIC tcplay_api.c ${SRCS_COMMON} ${SRCS_LINUX} ${SRCS_PBKDF})
set_target_properties(tcplay-static PROPERTIES OUTPUT_NAME tcplay)
set_target_properties(tcplay-static PROPERTIES VERSION ${VERSION_MAJOR}.${VERSION_MINOR})
set_target_properties(tcplay-static PROPERTIES COMPILE_FLAGS "${CFLAGS_COMMON} ${DEVMAPPER_CFLAGS} ${UUID_CFLAGS} ${GCRYPT_CFLAGS}")


# Generate pkg-config file tcplay.pc
file(WRITE ${PROJECT_BINARY_DIR}/tcplay.pc "prefix=${CMAKE_INSTALL_PREFIX}
exec_prefix=${CMAKE_INSTALL_PREFIX}
libdir=${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}
includedir=${CMAKE_INSTALL_PREFIX}/include

Name: libtcplay
Description: tcplay as a library
Version: ${VERSION_MAJOR}.${VERSION_MINOR}
Requires.private: devmapper uuid
Libs: -L\${libdir} -ltcplay
Libs.private: -lgpg-error -lgcrypt
Cflags: -I\${includedir}
")


# Installation targets
install(TARGETS tcplay-bin tcplay-static tcplay-so
	RUNTIME DESTINATION sbin             COMPONENT bin
	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT lib
	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT lib-dev
)

install(FILES ${PROJECT_BINARY_DIR}/tcplay.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig COMPONENT lib-dev)

install(FILES tcplay_api.h DESTINATION include        COMPONENT lib-dev)
install(FILES tcplay.3     DESTINATION share/man/man3 COMPONENT lib-dev)

install(FILES tcplay.8     DESTINATION share/man/man8 COMPONENT bin)




# Optional CPack magic
set (CPACK_RPM_COMPONENT_INSTALL 1)
set (CPACK_DEB_COMPONENT_INSTALL 1)

set (CPACK_PACKAGE_NAME "tcplay")
set (CPACK_PACKAGE_CONTACT "Alex Hornung <alex@alexhornung.com>")
set (CPACK_PACKAGE_VENDOR  "Alex Hornung <alex@alexhornung.com>")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "tcplay is a free (BSD-licensed), pretty much fully featured (including multiple keyfiles, cipher cascades, hidden volumes, etc) and stable TrueCrypt implementation.")
set (CPACK_PACAKGE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}")
set (CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
set (CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
set (CPACK_PACKAGE_VERSION_PATCH "0")
set (CPACK_PACKAGE_LICENSE "2-clause BSD")

include(CPack)
cpack_add_component(bin DISPLAY_NAME bin REQUIRED INSTALL_TYPES all)
cpack_add_component(lib DISPLAY_NAME lib REQUIRED INSTALL_TYPES all)
cpack_add_component(lib-dev DISPLAY_NAME lib-dev REQUIRED INSTALL_TYPES all DEPENDS lib)

=== test/Makefile ===
test:
	sudo bundle exec cucumber

bootstrap:
	bundle install

=== debian/changelog ===
tcplay (1.1-6) unstable; urgency=medium

  * Update Standards-Version to 4.2.1 .

  [ Alon Bar-Lev <alon.barlev@gmail.com> ]
  * Include sys/sysmacros.h for recent glibc (closes: #915998).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Dec 2018 14:17:16 +0000

tcplay (1.1-5) unstable; urgency=medium

  * Fix packages long description (closes: #766580).
  * Update packaging bits.
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Fix build/host confusion (closes: #895296).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Apr 2018 23:09:01 +0000

tcplay (1.1-4) unstable; urgency=medium

  * Use the real LGPL Crypto library (closes: #864138).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Jun 2017 12:44:11 +0000

tcplay (1.1-3) unstable; urgency=low

  * Compile with -fPIC for dynamic linking (closes: #796298).
  * Update copyright file.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Sep 2016 15:04:06 +0000

tcplay (1.1-2) unstable; urgency=high

  * Backport upstream fix to prevent data loss on 4k sector drives
    (closes: #771719).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Dec 2014 21:40:29 +0000

tcplay (1.1-1) unstable; urgency=low

  * New upstream release (closes: #719836).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2013 11:36:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tcplay
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdevmapper-dev, uuid-dev, libgcrypt11-dev
-Standards-Version: 3.9.3
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), cmake, pkg-config, libdevmapper-dev, libudev-dev, uuid-dev, libgcrypt20-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/bwalex/tc-play
 
 Package: tcplay
@@ -20,3 +20,35 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+
+Package: libtcplay
+Architecture: linux-any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Free and simple TrueCrypt Implementation based on dm-crypt
+ tcplay is a free (BSD-licensed), pretty much fully featured (including
+ multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
+ .
+ This implementation supports mapping (opening) both system and normal
+ TrueCrypt volumes, as well as opening hidden volumes and opening an outer
+ volume while protecting a hidden volume. There is also support to create
+ volumes, including hidden volumes, etc.
+ .
+ Since tcplay uses dm-crypt it makes full use of any available hardware
+ encryption/decryption support once the volume has been mapped.
+
+Package: libtcplay-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, libtcplay (= ${binary:Version})
+Description: Free and simple TrueCrypt Implementation based on dm-crypt
+ tcplay is a free (BSD-licensed), pretty much fully featured (including
+ multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
+ .
+ This implementation supports mapping (opening) both system and normal
+ TrueCrypt volumes, as well as opening hidden volumes and opening an outer
+ volume while protecting a hidden volume. There is also support to create
+ volumes, including hidden volumes, etc.
+ .
+ Since tcplay uses dm-crypt it makes full use of any available hardware
+ encryption/decryption support once the volume has been mapped.

=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,19 @@
 CPPFLAGS	+= $(HARDENING_CFLAGS)
 LDFLAGS		+= $(HARDENING_LDFLAGS)
 
-DESTDIR = $(CURDIR)/debian/tcplay
+DESTDIR = $(CURDIR)/debian/tmp/
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEBUG = DEBUG=yes
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
-# configure doesn't exists and it doesn't needed
-override_dh_autoreconf:
 
 override_dh_auto_build:
-	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)
-#	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG) lib
+	dh_auto_build -- SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)
 
 # test needs the library, which can't be built ATM
 override_dh_auto_test:
 
-# for the rest, use debhelper
 %:
 	dh $@
+
+.PHONY: override_dh_auto_build override_dh_auto_test

## tcplay 3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 2.6)
 
 project (tcplay)
-set (VERSION_MAJOR 1)
-set (VERSION_MINOR 1)
+set (VERSION_MAJOR 3)
+set (VERSION_MINOR 3)
 
 find_package (PkgConfig)
 include (CheckLibraryExists)
@@ -15,7 +15,7 @@
 set (CFLAGS_DEBUG  "-O0 -g3 -DDEBUG")
 set (CFLAGS_OPT    "-O3")
 set (CFLAGS_VER    "-DMAJ_VER=${VERSION_MAJOR} -DMIN_VER=${VERSION_MINOR}")
-set (CFLAGS_COMMON "-std=c99 -fPIE ${CFLAGS_LINUX} ${CFLAGS_WARN} ${CFLAGS_VER}")
+set (CFLAGS_COMMON "-std=c99 ${CFLAGS_LINUX} ${CFLAGS_WARN} ${CFLAGS_VER}")
 if ($ENV{DEBUG})
 	set (CFLAGS_COMMON "${CFLAGS_COMMON} ${CFLAGS_DEBUG}")
 else()
@@ -63,7 +63,7 @@
 endif()
 
 
-if (NOT LIB_SUFFIX)
+if (NOT (DEFINED LIB_SUFFIX))
 	message(STATUS "")
 	message(STATUS "LIB_SUFFIX variable is not defined. It will be autodetected now.")
 	message(STATUS "You can set it manually with -DLIB_SUFFIX=<value> (e.g. 64).")
@@ -76,6 +76,9 @@
 	endif()
 endif()
 
+if (NOT (DEFINED SBIN_DIR))
+  set (SBIN_DIR "sbin")
+endif()
 
 
 add_executable(tcplay-bin main.c ${SRCS_COMMON} ${SRCS_LINUX} ${SRCS_PBKDF})
@@ -117,7 +120,7 @@
 
 # Installation targets
 install(TARGETS tcplay-bin tcplay-static tcplay-so
-	RUNTIME DESTINATION sbin             COMPONENT bin
+	RUNTIME DESTINATION ${SBIN_DIR}      COMPONENT bin
 	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT lib
 	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT lib-dev
 )

=== test/Makefile ===
BUILD_PATH?=../build

.PHONY: test
test:
	sudo env BUILD_PATH=${BUILD_PATH} bundle exec cucumber

.PHONY: bootstrap
bootstrap:
	bundle config set path 'vendor/bundle'
	bundle install

=== debian/changelog ===
tcplay (3.3-2) unstable; urgency=medium

  * Set minimal CMake version to 3.25 (closes: #1113562).
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Sep 2025 16:36:02 +0200

tcplay (3.3-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor <dkg@fifthhorseman.net> ]
  * Cleaning up packaging, track with revision control on Salsa
  * New upstream release, includes VeraCrypt support (closes: #979617)
  * Track debian packaging on salsa
  * wrap-and-sort -ast
  * d/watch: modernize, use mode=git
  * move to debhelper 13
  * Rules-Requires-Root: no
  * Build-Depend on pkgconf instead of pkg-config
  * Ship all manpages
  * debian/rules: simplify
  * d/patches: refresh, drop those already upstream,
               clear out cruft, use gbp-pq formatting
  * clean up manpages, forwarding upstream
  * Update and differentiate package descriptions
  * Standards-Version: bump to 4.7.0 (no changes needed)

  [ Laszlo Boszormenyi (GCS) ]
  * Multiarchify the library package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 25 Apr 2024 18:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,25 @@
 Section: admin
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), cmake, pkg-config, libdevmapper-dev, libudev-dev, uuid-dev, libgcrypt20-dev
-Standards-Version: 4.2.1
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libdevmapper-dev,
+ libgcrypt20-dev,
+ libudev-dev,
+ pkgconf,
+ uuid-dev,
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/tcplay.git
+Vcs-Browser: https://salsa.debian.org/debian/tcplay
 Homepage: https://github.com/bwalex/tc-play
 
 Package: tcplay
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -20,12 +31,18 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains the tcplay executable, which can create, query,
+ map, and manage TrueCrypt and VeraCrypt volumes.
 
 Package: libtcplay
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt (library)
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -36,12 +53,18 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains a library that can create, query, map and
+ manage TrueCrypt and VeraCrypt volumes.
 
 Package: libtcplay-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libtcplay (= ${binary:Version})
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ libtcplay (= ${binary:Version}),
+ ${misc:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt (development headers)
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -52,3 +75,7 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains developer information to build tools that use
+ the libtcplay library to create, query, map and manage TrueCrypt and
+ VeraCrypt volumes.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG = DEBUG=yes
endif

override_dh_auto_build:
	dh_auto_build -- SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)

%:
	dh $@

.PHONY: override_dh_auto_build

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/bwalex/tc-play refs/tags/v@ANY_VERSION@
